<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Wireframes, Mockup and Prototypes || Discussion</title>

	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- google font -->
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@500;600;700;800;900&display=swap" rel="stylesheet">
	<!-- external css -->
	<link rel="stylesheet" type="text/css" href="style.css">
	
</head>
<body>
	<!-- mockup -> indentify the elements/group -> add the elements in the code -> style the element using css -> bootstrap for layout -->

    <!-- navbar start -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- nav container start -->
            <div class="container">
                <a class="navbar-brand" href="#" id="logo">LOGO</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav ml-auto">
                        <a class="nav-link active" href="#">Home <span class="sr-only">(current)</span></a>
                        <a class="nav-link active" href="#">About Me</a>
                        <a class="nav-link" href="#">My Works</a>
                        <a class="nav-link" href="#">Contacts</a>
                    </div>
                </div>
            </div>
        <!-- nav container end -->
      </nav>
    <!-- navbar end -->

    <!-- main container start -->
        <div class="container-fluid py-5" id="landing">
            <div class="row py-5 my-5 justify-content-center">
                <div class="col pt-md-5 col-md-8 text-center">
                    <h1 id="title">Seeing the world through my lens</h1>
                    <a href="" id="title-button" class="mt-5 d-inline-block text-decoration-none">View my Work</a>
                </div>
            </div>
        </div>
    <!-- main container end -->
    
    <!-- about container end -->
        <div class="container-fluid py-md-5" id="about">
            <div class="row justify-content-center py-md-5 my-md-5">
                <div class="col-md-3 my-5 my-md-0">
                    <img src="images/about.png" alt="" class="img-fluid">
                </div>
                <div class="col-md-7">
                    <h4 id="about-title" class="mt-md-5">Hi! I’m John Doe.</h4>
                    <p id="about-description">I am a passionate photographer who loves capturing life's special moments. From candid shots of everyday life to capturing the beauty of nature, I strive to create beautiful images that will last a lifetime. I am always looking for new opportunities to create unique and inspiring photos that are sure to leave a lasting impression.</p>
                    <p id="about-description">I have been a photographer for many years and have had the privilege of working with some of the most talented professionals in the industry. I have had the opportunity to travel to some of the most beautiful places in the world and capture the essence of each location. I am constantly learning new techniques and expanding my knowledge of photography to ensure my images are of the highest quality. I am excited to share my passion with others and create memories that will last a lifetime.</p>
                </div>
            </div>
        </div>
    <!-- about container end -->

    <!-- project container start -->
        <div class="container my-5 py-5">
            <div class="row">
                <div class="col-md-4 my-3">
                    <img src="images/img-1.png" alt="" class="img-fluid">
                </div>
                <div class="col-md-4 my-3">
                    <img src="images/img-2.png" alt="" class="img-fluid">
                </div>
                <div class="col-md-4 my-3">
                    <img src="images/img-3.png" alt="" class="img-fluid">
                </div>
            </div>
        </div>
    <!-- project container end -->

    <!-- contact container end -->
        <div class="container-fluid" id="contact">
            <div class="row">
                <div class="col-md-6 text-center d-flex flex-column justify-content-center align-items-center py-5 py-md-0" id="contact-img">

                    <h4 id="social-title">Follow me on Social Media</h4>

                    <div class="row">
                        <!-- social media start -->
                            <div class="col-12 mt-5 pt-1 d-flex justify-content-center align-items-center">
                                <div class="row">
                                    <div class="col-4">
                                        <img src="images/Facebook.png" alt="Facebook" class="img-fluid">
                                    </div>
                                    <div class="col-4 d-flex justify-content-center align-items-center">
                                        <img src="images/Instagram.png" alt="Instagram" class="img-fluid">
                                    </div>
                                    <div class="col-4 d-flex justify-content-center align-items-center">
                                        <img src="images/YouTube.png" alt="YouTube" class="img-fluid">
                                    </div>
                                </div>
                            </div>
                        <!-- social media end -->
                    </div>

                </div>
                <div class="col-md-6 p-5" id="contact-form">
                    <h2 id="contact-header" class="pt-5 pb-3">Get In Touch</h2>
                    <p id="contact-text" class="mt-2 mb-3">Lorem ipsum dolor sit, amet consectetur adipisicing elit.</p>

                    <!-- form start -->
                        <form class="mt-3">
                            <div class="form-group my-4">
                                <label for="nameInput">Name</label>
                                <input type="text" class="form-control" id="nameInput" placeholder="John Doe">
                            </div>
                            <div class="form-group my-4">
                                <label for="emailInput">Email address</label>
                                <input type="email" class="form-control" id="emailInput" placeholder="johndoe@email.com">
                            </div>
                            <div class="form-group my-4">
                                <label for="messageInput">Message</label>
                                <textarea class="form-control" id="messageInput" rows="6"></textarea>
                            </div>
                            <div class="my-5 d-flex justify-content-end">
                                <button id="form-btn" class="btn">Submit</button>
                            </div>
                        </form>
                    <!-- form end -->

                </div>
            </div>
        </div>
    <!-- contact container end -->

    <!-- footer container start -->
        <footer class="py-3 text-center" id="footer-title">
            Copyright. John Doe Photography
        </footer>
    <!-- footer container end -->

    <!-- Bootstrap JS Script -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>